#
# spec file for package gstreamer010 (Version 0.10.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel check coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils docbook-dsssl-stylesheets docbook-toys docbook-utils docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel indent info insserv iso_ent jadetex klogd latex-ucs less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libgpg-error libjpeg libjpeg-devel libnetpbm libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg netpbm openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-SGMLS permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-xml pyxml rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone transfig unzip util-linux valgrind vim xaw3d xfig xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gstreamer010
BuildRequires:  check docbook-toys docbook-utils gtkdoc indent libgnomeui-devel libstdc++-devel pyxml te_ams xfig
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
%define _name gstreamer
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
%define _prefix  /opt/gnome
%define _bindir  %_prefix/bin
%define _mandir  %_prefix/share/man
%define _infodir %_prefix/share/info
%define _sysconfdir /etc%_prefix
%define _localstatedir /var%_prefix
%define _libdir  %_prefix/%_lib
%define _includedir %_prefix/include
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        0.10.4
Release:        11.4
%define gst_branch 0.10
Summary:        Streaming-Media Framework Runtime
Source:         %{_name}-%{version}.tar.bz2 
Patch:          gstreamer-uninitialized.patch
URL:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /sbin/ldconfig
%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       %{name} = %{version} glib2-devel libxml2-devel popt-devel check

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>


%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%package doc
Summary:        Streaming-Media Framework Runtime: Documentation for Developers
Group:          System/Libraries
Requires:       %{name} = %{version} 

%description doc
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>


%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%prep
%setup -q -n %{_name}-%{version}
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS"
NOCONFIGURE=1 ./autogen.sh
  ./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{_localstatedir} \
    --enable-gtk-doc --enable-docbook \
    --enable-tests
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.*a
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang gstreamer-%{gst_branch}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp AUTHORS COPYING ChangeLog NEWS README RELEASE TODO $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mv $RPM_BUILD_ROOT/opt/gnome/share/doc/gstreamer-*/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
rmdir $RPM_BUILD_ROOT/opt/gnome/share/doc/gstreamer-*
rmdir $RPM_BUILD_ROOT/opt/gnome/share/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f gstreamer-%{gst_branch}.lang
%defattr(-, root, root)
%doc %dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/AUTHORS
%doc %{_defaultdocdir}/%{name}/COPYING
%doc %{_defaultdocdir}/%{name}/ChangeLog
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/RELEASE
%doc %{_defaultdocdir}/%{name}/TODO
%doc %{_defaultdocdir}/%{name}/faq
%{prefix}/bin/*
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/gstreamer-%{gst_branch}
%{prefix}/%_lib/gstreamer-%{gst_branch}/*.so
%doc %{prefix}/share/man/man*/*

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/aclocal/*.m4

%files doc
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/manual
%doc %{_defaultdocdir}/%{name}/pwg
%{prefix}/share/gtk-doc/html/*

%changelog -n gstreamer010
* Thu May 25 2006 - sbrabec@suse.cz
- Fixed uninitialized variable (#176290).
* Fri Mar 10 2006 - jpr@suse.de
-update to version 0.10.4
-Changes since 0.10.3:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * 33%% of library size removed by parse change
  * (Experimental) QoS features (use max-lateness on BaseSink subclasses to enable)
  Bugs fixed since 0.10.3:
  * 323542 : GStreamer 0.10 hangs at EOS for all songs
  * 320340 : triggering a gst_task_join from the streaming task can de...
  * 322628 : document thread-unsafety of gst_value_foo() + gst_value_r...
  * 324186 : Smarter (deterministic!) typefind decisions
  * 324398 : varargs/valist functions aren't bindable
  * 328873 : only one gst_bin_recalc_state allowed at a time
  * 330899 : CVS directory in make dist tarball
  * 330906 : API: add GST_QUERY_TYPE_NAME and GST_MESSAGE_TYPE_NAME
  * 330996 : basesrc emits EOS unconditionally when going to READY
  * 331255 : Shrinking gst_parse_launch bloat
  * 331898 : Basetranform is not reusable
  * 332045 : API: GstPipeline needs API to disable  flushing of its bu...
  * 332277 : [filesrc] seek does not correct read position in non-mmap...
  * 332611 : [basesrc] needs way to prevent expensive start/stop in ch...
  * 332723 : New API: gst_type_find_helper_for_buffer
  * 333042 : New API: gst_type_find_helper_get_range
  * 333266 : Registry file writing rewrite
  * 333272 : tests should set G_SLICE=always-malloc now
  * 333417 : GST_BOILERPLATE_WITH_INTERFACE can't be used in C++ code
  * 333669 : Add pad accessor defines for GstBaseTransform
  * 333779 : New API: add gst_uri_has_protocol
  * 324818 : gst_registry_get_default doesn't sink newly created registry
  * 330125 : _pad_send_event does not check flushing correctly
  * 330684 : Add ability to emit sync-message without messing with the...
* Thu Feb 23 2006 - jpr@suse.de
- update version to 0.10.3
- Changes since 0.10.2:
  * Documentation updates
  * Bug fixes
  * Base class improvements
  * Extra utility API
  * More elements ported from 0.8
  * Fixes for win32 build.
* Tue Feb 14 2006 - sbrabec@suse.cz
- Do not package never generated registry.xml in /var (#149984).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.10.2.
* Tue Jan 03 2006 - sbrabec@suse.cz
- Removed unneeded build requirements.
* Tue Jan 03 2006 - sbrabec@suse.cz
- Updated to version 0.10.1.
* Tue Dec 13 2005 - sbrabec@suse.cz
- Branched gstreamer010 and updated to version 0.10.0.
* Mon Nov 14 2005 - sbrabec@suse.cz
- Fixed %%postun error on uninstallation.
* Fri Nov 04 2005 - sbrabec@suse.cz
- Call branch-dependent gst-register (#132197).
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 0.8.11.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Thu May 26 2005 - sbrabec@suse.cz
- Updated to version 0.8.10.
- Build all documentation.
- Split doc subpackage.
* Wed Mar 16 2005 - sbrabec@suse.cz
- Build as user, copying xml.dcl is no more needed.
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 0.8.9
* Sat Jan 22 2005 - ro@suse.de
- make docu build
* Mon Jan 03 2005 - gekker@suse.de
- Update to version 0.8.8
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 0.8.7
* Mon Oct 11 2004 - sbrabec@suse.cz
- Call gst-register properly (#46870).
* Tue Jun 22 2004 - clahey@suse.de
- Fixed gst-register call to be in the right prefix.
* Fri Jun 11 2004 - clahey@suse.de
- Don't use --gst-mask argument to gst-register.
* Wed Apr 28 2004 - sbrabec@suse.cz
- Updated to version 0.8.1 (GNOME 2.6).
* Sun Mar 28 2004 - ro@suse.de
- remove ghostscript-fonts-std from neededforbuild
  use plain ghostscript-mini to build
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Feb 13 2004 - sbrabec@suse.cz
- Updated to version 0.6.5.
- Build and install docs.
* Sat Jan 10 2004 - adrian@suse.de
- use %%run_ldconfig
* Wed Nov 05 2003 - ro@suse.de
- build with "-D_GNU_SOURCE" (for posix_memalign)
* Wed Oct 22 2003 - sbrabec@suse.cz
- Updated to version 0.6.4.
* Thu Oct 16 2003 - schwab@suse.de
- Add atomic ops for ia64.
- Fix warning.
* Wed Oct 08 2003 - sbrabec@suse.cz
- Updated to version 0.6.3.
* Thu Sep 18 2003 - sbrabec@suse.cz
- Call ldconfig before gst-register in %%post (bug #30675).
* Tue Sep 16 2003 - sbrabec@suse.cz
- Call gst-register after installation.
- Added /var items to filelist.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 - sbrabec@suse.cz
- Updated to version 0.6.2.
- Fixed %%files.
- Fixed directory packaging.
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Feb 05 2003 - meissner@suse.de
- ppc64 is basically ppc, the assembler stub needed is the same.
* Tue Feb 04 2003 - sbrabec@suse.cz
- Updated to version 0.6.0.
* Thu Jan 23 2003 - sbrabec@suse.cz
- Updated to version 0.5.2.
- FHS fix (localstatedir).
* Fri Jan 17 2003 - sbrabec@suse.cz
- Updated to version 0.5.1 (Gnome2).
* Thu Nov 21 2002 - ro@suse.de
- fix duplicates in configure.in
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
* Sat Sep 07 2002 - olh@suse.de
- fix build without atomic.h
* Thu Aug 22 2002 - hhetter@suse.de
- added a README file and removed the SuSEconfig-script
  ( Bug Id#17620)
* Tue Aug 20 2002 - hhetter@suse.de
- use Requires: %%{name} = %%{version} in devel package
- added PreReq: filesystem
* Thu Aug 15 2002 - ro@suse.de
- removed gnome-utils from neededforbuild
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuld
* Thu Jul 04 2002 - ro@suse.de
- neededforbuild quicktime4linux -> libquicktime
* Tue May 21 2002 - meissner@suse.de
- %%_lib fixes, various libtool/autoconf/etc. patches.
- started port to x86_64
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Fri Nov 30 2001 - ro@suse.de
- changed neededforbuild <docbktls> to <docbook-toys>
* Wed Nov 28 2001 - ro@suse.de
- removed libmpeg2 from neededforbuild
* Tue Nov 20 2001 - ro@suse.de
- added new gnome-vfs include path to CFLAGS
- added popt, gconf and oaf to neededforbuild
* Sat Sep 08 2001 - egger@suse.de
- Removed LAME due to legal reasons.
* Mon Aug 20 2001 - ro@suse.de
- added diffs from cvs to build with current lame and current alsa
* Mon Aug 20 2001 - ro@suse.de
- up to 0.2.1 to try to fix compilation
- added kdelibs-artsd to neededforbuild
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Wed Jun 27 2001 - hhetter@suse.de
- improved documentation support, enabled gtkdoc & docbkutils
* Tue Jun 26 2001 - hhetter@suse.de
- added SuSEconfig.gstreamer script
- enabled sdl, libvorbis, ogg, gnome, alsa,
  cdparanoia, aalib and mpeg2 modules
- functionality test in chrooted environment
* Mon Jun 18 2001 - hhetter@suse.de
- fixed typo in specfile
* Fri Jun 15 2001 - hhetter@suse.de
- update to 0.2.0
- specfile & filelist rework
* Thu Mar 15 2001 - hhetter@suse.de
- initial SuSE Package
